'''
Author: your name
Date: 2021-06-30 18:03:41
LastEditTime: 2021-07-23 00:26:38
LastEditors: Please set LastEditors
Description: In User Settings Edit
FilePath: \evm-store\tools\build_out\application\signal_manager.py
'''
#!/usr/bin/env python
# -*- coding: utf_8 -*-

from webcreator.event import PySignal

class SignalManager(object):
    actionPostArea = PySignal()
    actionDeleteArea = PySignal()
    actionGetListArea = PySignal()
    actionGetArea = PySignal()
    actionPutArea = PySignal()
    actionPostApp = PySignal()
    actionDeleteApp = PySignal()
    actionGetListApp = PySignal()
    actionGetApp = PySignal()
    actionPutApp = PySignal()
    actionGetListPackage = PySignal()
    actionGetPackage = PySignal()
    actionPostUser = PySignal()
    actionDeleteUser = PySignal()
    actionGetListUser = PySignal()
    actionGetUser = PySignal()
    actionPutUser = PySignal()
    actionPostLogin = PySignal()
    actionGetListLogin = PySignal()
    actionGetLogin = PySignal()
    actionPostDevice = PySignal()
    actionDeleteDevice = PySignal()
    actionGetListDevice = PySignal()
    actionGetDevice = PySignal()
    actionPutDevice = PySignal()
    actionDeleteAnnex = PySignal()
    actionGetListAnnex = PySignal()
    actionGetAnnex = PySignal()
    actionGetListMonitorWatch = PySignal()
    actionGetMonitorWatch = PySignal()
    actionGetListMonitorSystem = PySignal()
    actionGetMonitorSystem = PySignal()
    actionGetListMonitorLvgl = PySignal()
    actionGetMonitorLvgl = PySignal()
    actionGetListMonitorImage = PySignal()
    actionGetMonitorImage = PySignal()
    actionGetListMonitorEvm = PySignal()
    actionGetMonitorEvm = PySignal()
    # file manager api
    actionGetFileInit = PySignal()
    actionGetFileContent = PySignal()
    actionGetFileTree = PySignal()
    actionGetFileDisk = PySignal()
    actionGetFileDown = PySignal()
    actionGetFilePreview = PySignal()
    actionPostFileUpdate = PySignal()
    actionPostFileUpload = PySignal()
    actionPostFileDelete = PySignal()
    actionPostFileCreate = PySignal()
    actionPostFileCreateDir = PySignal()
    actionPostFilePaste = PySignal()
    # api
    actionPostAppReview = PySignal()
    actionGetLauncher = PySignal()
    actionSetLauncher = PySignal()
    actionGetApplication = PySignal()
    actionGetAppInfo = PySignal()
    actionGetAppList = PySignal()
    actionGetEpk = PySignal()
    actionApplicationBuild = PySignal()
    actionCheckVersion = PySignal()
    # workbench
    actionWorkbench = PySignal()

    def __init__(self):
        super().__init__()

signalManager = SignalManager()